@import "variables";

$row-height: 60px;

body {
  font-family: "Roboto", serif;

  .container {
    display: flex;
    align-items: center;
    flex-direction: column;

    .rules-container {
      background-color: $white;
      border: black solid 2px;
      border-radius: 8px;
      padding: 16px;
      margin-top: 48px;
      width: 544px;

      h1 {
        margin: 0 0 16px;

        color: $dark-blue;
        text-decoration: underline;
        text-align: center;
      }

      .row {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;

        overflow: hidden;
        cursor: pointer;

        height: $row-height;
        width: 100%;
        border-radius: 7px;

        text-decoration: none;
        color: black;

        &:not(:first-child) {
          margin-top: 16px;
        }

        .rule-number {
          display: flex;
          justify-content: center;
          align-items: center;

          min-width: $row-height;
          transition: 0.5s;

          background-color: $dark-blue;
          font-size: 48px;
        }

        .rule-text {
          position: relative;
          display: flex;
          align-items: center;
          justify-content: space-between;

          padding-left: 8px;

          width: 100%;
          transition: 0.5s;

          background-color: $light-blue;
          font-size: 24px;
          text-align: center;
          text-decoration: none;

          white-space: nowrap;

          &:after {
            position: absolute;

            content: '';
            background-image: url(../src/assets/double-right-arrow.svg);

            background-size: 16px 16px;
            height: 16px;
            width: 16px;

            transition: 0.5s;
            opacity: 0;
            right: 16px;
          }
        }

        &:hover {
          .rule-number {
            min-width: 40px;
            transition: 0.5s;
          }

          .rule-text:after {
            opacity: 1;
            right: 8px;
          }
        }
      }
    }
  }
}
